// Copyright 2023 Freedelity. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

// Constants for serializing barcode formats in event channel
// used between dart code and native code.
//
// Keep in sync with these other files:
//  - android/src/main/kotlin/be/freedelity/barcode_scanner/Constants.kt
//  - ios/Classes/Constants.swift

const int FORMAT_CODE_39 = 0;
const int FORMAT_CODE_93 = 1;
const int FORMAT_CODE_128 = 2;
const int FORMAT_EAN_8 = 3;
const int FORMAT_EAN_13 = 4;
const int FORMAT_ITF = 5;
const int FORMAT_CODABAR = 6;
const int FORMAT_DATAMATRIX = 7;
const int FORMAT_QR_CODE = 8;
